

#include <iostream>
#include <stdlib.h>
#include <vector>
#include <math.h>


#include "Volume.h"

int main(int argc,char* argv[])
{

  std::string filename("data/head_mri.4d");

  std::vector <double> vertex_0,vertex_1;
  std::vector <int> connectivity_0,connectivity_1;
  std::vector <double> color_0,color_1;

  Volume v_data;
  v_data.resample(2.0);
  v_data.load_v4d(filename);


  double isovalue=95;
  v_data.isosurface(isovalue,&vertex_0,&connectivity_0);
  Volume::export_off("output/out.off",vertex_0,connectivity_0);

  double d_L=0.5;
  int N_x=1.5*v_data.get_size(0)/d_L,N_y=1.5*v_data.get_size(0)/d_L;
  V_3D n(1,1,1),p(v_data.get_size(0)/2,v_data.get_size(1)/2,v_data.get_size(2)/2);
  v_data.slice(n,p,N_x,N_y,d_L,d_L,&vertex_1,&connectivity_1,&color_1);
  Volume::export_coff("output/slice_out.off",vertex_1,connectivity_1,color_1);

  return 0;
}
